package com.siginfo.vo;

import java.util.ArrayList;
import java.util.List;

public class GroupListVO {
	private String regionCd;
	private String regionNm;
	private Double xCoord;
	private Double yCoord;
	private String sigunguCd;
	private String sigunguNm;
	private Double sigunguX;
	private Double sigunguY;
	private String groupNm;
	private List<IntInfo> groupList;
	
	public GroupListVO(String regionCd, String regionNm, Double xCoord, Double yCoord, String sigunguCd,
			String sigunguNm, Double sigunguX, Double sigunguY, String groupNm) {
		super();
		this.regionCd = regionCd;
		this.regionNm = regionNm;
		this.xCoord = xCoord;
		this.yCoord = yCoord;
		this.sigunguCd = sigunguCd;
		this.sigunguNm = sigunguNm;
		this.sigunguX = sigunguX;
		this.sigunguY = sigunguY;
		this.groupNm = groupNm;
		this.groupList = new ArrayList<IntInfo>();
	}
	
	public String getRegionCd() {
		return regionCd;
	}
	public void setRegionCd(String regionCd) {
		this.regionCd = regionCd;
	}
	public String getRegionNm() {
		return regionNm;
	}
	public void setRegionNm(String regionNm) {
		this.regionNm = regionNm;
	}
	public Double getxCoord() {
		return xCoord;
	}
	public void setxCoord(Double xCoord) {
		this.xCoord = xCoord;
	}
	public Double getyCoord() {
		return yCoord;
	}
	public void setyCoord(Double yCoord) {
		this.yCoord = yCoord;
	}
	public String getSigunguCd() {
		return sigunguCd;
	}
	public void setSigunguCd(String sigunguCd) {
		this.sigunguCd = sigunguCd;
	}
	public String getSigunguNm() {
		return sigunguNm;
	}
	public void setSigunguNm(String sigunguNm) {
		this.sigunguNm = sigunguNm;
	}
	public Double getSigunguX() {
		return sigunguX;
	}
	public void setSigunguX(Double sigunguX) {
		this.sigunguX = sigunguX;
	}
	public Double getSigunguY() {
		return sigunguY;
	}
	public void setSigunguY(Double sigunguY) {
		this.sigunguY = sigunguY;
	}
	
	public List<IntInfo> getGroupList() {
		return groupList;
	}

	public void setGroupList(List<IntInfo> groupList) {
		this.groupList = groupList;
	}
	
	public String getGroupNm() {
		return groupNm;
	}

	public void setGroupNm(String groupNm) {
		this.groupNm = groupNm;
	}

	@Override
	public String toString() {
		return "GroupListVO [regionCd=" + regionCd + ", regionNm=" + regionNm + ", xCoord=" + xCoord + ", yCoord="
				+ yCoord + ", sigunguCd=" + sigunguCd + ", sigunguNm=" + sigunguNm + ", sigunguX=" + sigunguX
				+ ", sigunguY=" + sigunguY+ ", groupNm=" + groupNm + ", groupList=" + groupList + "]";
	}
}
